Bug 1270156 - beaker-client for Fedora23 needs Requires: python-kickstart
beaker-client for Fedora23 needs Requires: python-kickstart
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: general (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 21.2
: ---
Assigned To: Dan Callaghan
tools-bugs
: EasyFix, NeedsTestCase, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-09 03:15 EDT by Fabio Massimo Di Nitto
Modified: 2015-12-09 00:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-09 00:59:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabio Massimo Di Nitto 2015-10-09 03:15:33 EDT
As discussed via email with Dan C. bkr client doesn´t work without python-kickstart.
Comment 1 Dan Callaghan 2015-10-11 21:33:22 EDT
Specifically the problem is that the Python (2) kickstart module was moved from the pykickstart package into the python-kickstart package in F23. So we just need to update the Requires and rebuild for F23.

(It would be nice if we had virtual provides for Python modules but that seems to still not be a thing...)
Comment 2 Dan Callaghan 2015-10-11 21:41:49 EDT
Also this is only related to the deprecated cmd_workflow_snake.py in beaker-redhat. However it affects the entire client *if* beaker-redhat is installed.

Steps to reproduce:
1. Upgrade a system to F23, or do a fresh install.
2. Install beaker-client and beaker-redhat-0.1.58-1.fc19.noarch
3. Run bkr

Actual results:
$ bkr
Traceback (most recent call last):
  File "/usr/bin/bkr", line 9, in <module>
    load_entry_point('bkr.client==21.0', 'console_scripts', 'bkr')()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 558, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2682, in load_entry_point
    return ep.load()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2355, in load
    return self.resolve()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2361, in resolve
    module = __import__(self.module_name, fromlist=['__name__'], level=0)
  File "/usr/lib/python2.7/site-packages/bkr/client/main.py", line 42, in <module>
    BeakerCommandContainer.register_module(bkr.client.commands, prefix="cmd_")
  File "/usr/lib/python2.7/site-packages/bkr/client/command.py", line 243, in register_module
    __import__(module.__name__, {}, {}, module_list)
  File "/usr/lib/python2.7/site-packages/bkr/client/commands/cmd_workflow_snake.py", line 9, in <module>
    import snake.client, pykickstart, re
ImportError: No module named pykickstart
Comment 3 Dan Callaghan 2015-10-11 21:44:29 EDT
https://code.engineering.redhat.com/gerrit/59153
Comment 4 Dan Callaghan 2015-10-27 23:53:55 EDT
This bug fix is included in beaker-redhat-0.1.61-3.fc23 which is available for testing here:

http://download.lab.bos.redhat.com/beakerrepos/client-testing/

Note You need to log in before you can comment on or make changes to this bug.